/* ToolRunner.h created by mtrent on Tue 09-Feb-1999 */

#import <AppKit/AppKit.h>

@interface ToolRunner : NSObject
{
    NSFileHandle *_file;
    NSTask *_task;
    id _delegate;
    NSMutableString *_string;
    int _status;
}
- (id)delegate;
- (void)setDelegate:(id)delegate;
- (void)run:(NSString*)path;
- (void)run:(NSString*)path delegate:(id)delegate;
- (void)run:(NSString*)path arguments:(NSArray*)args;
- (void)run:(NSString*)path arguments:(NSArray*)args delegate:(id)delegate;
- (BOOL)running;
- (NSString*)output;

@end
