/*
 * FunFinger.m
 * 2/9/99 Mike Trent
 * mtrent@msn.fullfeed.com
 *
 * Our app delegate, for handling basic menu commands and such.
 */

#import "FunFinger.h"
#import "Finger.h"

@implementation FunFinger

- (void)showAbout:(id)sender
{
    // On older systems, orderFrontStandardAboutPanelWithOptions doesn't exist.
    if ([NSApp respondsToSelector:@selector(orderFrontStandardAboutPanelWithOptions:)]) {
        NSDictionary *options;

        options = [NSDictionary dictionaryWithObjectsAndKeys:
            @"1.0",	@"Version",
            @"Copyright  1999 Michael D. Trent", @"Copyright",
            nil];

        [NSApp orderFrontStandardAboutPanelWithOptions:options];
    } else {
        (void) NSRunAlertPanel(@"FunFinger",
                               @"Version 1.0\nCopyright  1999 Michael D. Trent\nmtrent@msn.fullfeed.com\n\nIsn't it time to upgrade your system?",
                               @"OK",
                               NULL,
                               NULL);
    }
}

- (void)showFinger:(id)sender
{
    [[[Finger alloc] init] showWindow:sender];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    [[[Finger alloc] init] showWindow:self];
}

@end
